
QGIS Application - Feature request #1063

SVG Symbols repository

2008-05-06 04:18 AM - pls -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 11123

Description

Why not set-up an SVG symbols repository to share symbols between users? :) It could be structured as a plugin, such as the new "Plugin

Installer" one, or made directly accessible from the QGIS website :)

History

#1 - 2008-07-09 07:36 AM - Tim Sutton

Nice idea - perhaps something to propose to the developer list for one of the pythonistas to build?

#2 - 2008-07-09 08:08 AM - pls -

Replying to [comment:1 timlinux]:

Nice idea - perhaps something to propose to the developer list for one of the >pythonistas to build?

:)

#3 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-29 11:55 PM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

More generally the repo should keep also styles. The necessary steps IMHO are:

    -  a repo page (presumably an extension of the existing plugins.qgis.org webapp

    -  a method to upload (registered) user defined styles, with mandatory tags (username, copyright, etc.)

    -  a method to download

    -  a web page with the list of available styles and symbols, with automatic preview.

#5 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2014-05-05 12:08 AM - Paolo Cavallini
see also #3748

#8 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#9 - 2017-05-01 11:15 AM - Regis Haubourg

- Resolution set to fixed/implemented

- Status changed from Open to Closed

We now have the Ressource Sharing Plugin for that. Good job !
